#
# Conditional build:
%bcond_without	clamav		# clamav / virusfilter module
#
%ifarch x32
%undefine	with_clamav
%endif
Summary:	Modules for c-icap ICAP server
Summary(pl.UTF-8):	Moduły dla serwera ICAP c-icap
Name:		c-icap-modules
Version:	0.5.7
Release:	1
License:	GPL v2+
Group:		Networking/Daemons
Source0:	https://downloads.sourceforge.net/c-icap/c_icap_modules-%{version}.tar.gz
# Source0-md5:	08c4721a26840bb0ff95fcaa64b686c3
Patch0:		%{name}-build.patch
Patch1:		clamav0.101.patch
URL:		https://c-icap.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	c-icap-devel >= 0.5
%{?with_clamav:BuildRequires:	clamav-devel >= 0.90}
BuildRequires:	db-devel >= 4.2
BuildRequires:	libtool >= 2:2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Modules for c-icap ICAP server.

%description -l pl.UTF-8
Moduły dla serwera ICAP c-icap.

%package -n c-icap-srv_clamav
Summary:	ClamAV service for c-icap
Summary(pl.UTF-8):	Usługa ClamAV dla c-icap
Group:		Networking/Daemons
Requires:	c-icap >= 0.5

%description -n c-icap-srv_clamav
ClamAV service for c-icap.

%description -n c-icap-srv_clamav -l pl.UTF-8
Usługa ClamAV dla c-icap.

%package -n c-icap-srv_url_check
Summary:	URL check service for c-icap
Summary(pl.UTF-8):	Usługa sprawdzania URL-i dla c-icap
Group:		Networking/Daemons
Requires:	c-icap >= 0.5

%description -n c-icap-srv_url_check
URL check service for c-icap.

%description -n c-icap-srv_url_check -l pl.UTF-8
Usługa sprawdzania URL-i dla c-icap.

%package -n c-icap-srv_content_filtering
Summary:	Content filtering service for c-icap
Summary(pl.UTF-8):	Usługa filtrowania treści dla c-icap
Group:		Networking/Daemons
Requires:	c-icap >= 0.5

%description -n c-icap-srv_content_filtering
Content filtering service for c-icap.

%description -n c-icap-srv_content_filtering -l pl.UTF-8
Usługa filtrowania treści dla c-icap.

%prep
%setup -q -n c_icap_modules-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
export CFLAGS="%{rpmcflags} -I/usr/include/clamav"
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/c-icap
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Not installed by upstream
cp -a services/content_filtering/srv_content_filtering.conf.default \
	$RPM_BUILD_ROOT%{_sysconfdir}/c-icap/srv_content_filtering.conf

%{__rm} $RPM_BUILD_ROOT%{_libdir}/c_icap/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with clamav}
%files -n c-icap-srv_clamav
%defattr(644,root,root,755)
%doc README SPONSORS
%attr(640,root,c-icap) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/c-icap/clamav_mod.conf
%attr(640,root,c-icap) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/c-icap/clamd_mod.conf
%attr(640,root,c-icap) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/c-icap/virus_scan.conf
%{_sysconfdir}/c-icap/clamav_mod.conf.default
%{_sysconfdir}/c-icap/clamd_mod.conf.default
%{_sysconfdir}/c-icap/virus_scan.conf.default
%attr(755,root,root) %{_libdir}/c_icap/clamav_mod.so
%attr(755,root,root) %{_libdir}/c_icap/clamd_mod.so
%attr(755,root,root) %{_libdir}/c_icap/virus_scan.so
%{_datadir}/c_icap/templates/virus_scan
%endif

%files -n c-icap-srv_url_check
%defattr(644,root,root,755)
%doc README SPONSORS
%attr(640,root,c-icap) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/c-icap/srv_url_check.conf
%{_sysconfdir}/c-icap/srv_url_check.conf.default
%attr(755,root,root) %{_libdir}/c_icap/srv_url_check.so
%{_datadir}/c_icap/templates/srv_url_check
%{_bindir}/c-icap-mods-sguardDB
%{_mandir}/man8/c-icap-mods-sguardDB.8*

%files -n c-icap-srv_content_filtering
%defattr(644,root,root,755)
%doc README SPONSORS
%attr(640,root,c-icap) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/c-icap/srv_content_filtering.conf
%{_sysconfdir}/c-icap/srv_content_filtering.conf.default
%attr(755,root,root) %{_libdir}/c_icap/srv_content_filtering.so
%{_datadir}/c_icap/templates/srv_content_filtering
%changelog
* Mon Apr 01 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/c-icap-modules.git;a=log;h=master

* Mon Apr 01 2024 Jakub Bogusz <qboosh@pld-linux.org> 0a8f5ff
- updated to 0.5.7

* Fri Jun 09 2023 Jan Rękorajski <baggins@pld-linux.org> 3511d28
- Release 3 (by relup.sh)

* Sun Dec 18 2022 Jan Rękorajski <baggins@pld-linux.org> 008a0c3
- Release 2 (by relup.sh)

* Fri Oct 22 2021 Jan Rękorajski <baggins@pld-linux.org> 5e7e0c4
- up to 0.5.5

* Sun Oct 10 2021 Jan Rękorajski <baggins@pld-linux.org> cca5cb1
- rediff patch

* Thu Dec 13 2018 Jan Rękorajski <baggins@pld-linux.org> 3b3f2bb
- fix building with clamav 0.101

* Thu Dec 13 2018 Jan Rękorajski <baggins@pld-linux.org> 50955c4
- up to 0.5.2

* Thu May 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0708b03
- rel 2

* Thu May 11 2017 Jan Rękorajski <baggins@pld-linux.org> 805671b
- disable clamav support on x32

* Mon Apr 17 2017 Jan Rękorajski <baggins@pld-linux.org> b8c0d96
- up to 0.4.5

* Mon Mar 21 2011 hawk <hawk@pld-linux.org> 273e94e
- autoconf is enough
- no libs here, drop ldconfig

* Mon Mar 21 2011 hawk <hawk@pld-linux.org> 167bd90
- attrs, %config(noreplace) and %verify(not md5 mtime size) for *.conf files

* Mon Mar 21 2011 hawk <hawk@pld-linux.org> 0eb38c0
- cleanup, fixed changelog

* Mon Mar 21 2011 hawk <hawk@pld-linux.org> 5d572ce
- build fix

* Mon Mar 21 2011 hawk <hawk@pld-linux.org> 029c6e4
- new spec, modules for c-icap ICAP server

